Bug 199819 - editors/libreoffice does not build when Java is enabled
Summary: editors/libreoffice does not build when Java is enabled
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: amd64 Any
: --- Affects Only Me
Assignee: freebsd-office mailing list
URL:
Keywords:
Depends on: 192575
Blocks:
  Show dependency treegraph
 
Reported: 2015-04-30 15:52 UTC by trust_no_1
Modified: 2015-05-03 07:05 UTC (History)
1 user (show)

See Also:


Attachments
patch to add hamcrest to JAVA_CONFIGURE_ON (592 bytes, patch)
2015-05-02 18:10 UTC, Kurt Jaeger
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description trust_no_1 2015-04-30 15:52:27 UTC
LibreOffice does not compile on BSD 10.1 if Java is enabled.
This seems to be a junit error, but the result is that LibreOffice does not find Java and
This implies that you cannot use Base because, after opening a database file, you cannot create tables and so on.

root@dukefleed:/usr/ports/editors/libreoffice # make

===>   libreoffice-4.3.7 depends on package: p5-Archive-Zip>=0 - found
===>   libreoffice-4.3.7 depends on executable: zip - found
===>   libreoffice-4.3.7 depends on file: /usr/local/lib/libboost_regex.a - found
===>   libreoffice-4.3.7 depends on file: /usr/local/libdata/pkgconfig/cppunit.pc - found
===>   libreoffice-4.3.7 depends on executable: dmake - found
===>   libreoffice-4.3.7 depends on file: /usr/local/bin/gperf - found
===>   libreoffice-4.3.7 depends on package: mdds>=0.9.0 - found
===>   libreoffice-4.3.7 depends on executable: gpatch - found
===>   libreoffice-4.3.7 depends on executable: ucpp - found
===>   libreoffice-4.3.7 depends on executable: vigra-config - found
===>   libreoffice-4.3.7 depends on file: /usr/local/include/glm/glm.hpp - found
===>   libreoffice-4.3.7 depends on executable: bash - found
===>   libreoffice-4.3.7 depends on executable: gsed - found
===>   libreoffice-4.3.7 depends on executable: ant - found
===>   libreoffice-4.3.7 depends on file: /usr/local/share/java/classes/junit.jar - not found
===>    Verifying install for /usr/local/share/java/classes/junit.jar in /usr/ports/java/junit
===>  Building for junit-4.11_1
Buildfile: /usr/ports/java/junit/work/junit-team-junit-c62e2df/build.xml
  [taskdef] Could not load definitions from resource net/sf/antcontrib/antcontrib.properties. It could not be found.

clean:
   [delete] Deleting directory /usr/ports/java/junit/work/junit-team-junit-c62e2df/junit4.11-SNAPSHOT
   [delete] Deleting directory /usr/ports/java/junit/work/junit-team-junit-c62e2df/target

init:

versiontag:
     [copy] Copying 1 file to /usr/ports/java/junit/work/junit-team-junit-c62e2df/src/main/java/junit/runner

build:
    [mkdir] Created dir: /usr/ports/java/junit/work/junit-team-junit-c62e2df/target/main
    [javac] Compiling 164 source files to /usr/ports/java/junit/work/junit-team-junit-c62e2df/target/main
    [javac] warning: [options] bootstrap class path not set in conjunction with -source 1.5
    [javac] Note: Some input files use or override a deprecated API.
    [javac] Note: Recompile with -Xlint:deprecation for details.
    [javac] 1 warning
    [javac] Creating empty /usr/ports/java/junit/work/junit-team-junit-c62e2df/target/main/org/junit/runner/package-info.class
    [javac] Creating empty /usr/ports/java/junit/work/junit-team-junit-c62e2df/target/main/junit/framework/package-info.class
    [javac] Creating empty /usr/ports/java/junit/work/junit-team-junit-c62e2df/target/main/org/junit/internal/runners/package-info.class
    [javac] Creating empty /usr/ports/java/junit/work/junit-team-junit-c62e2df/target/main/org/junit/runners/package-info.class
    [javac] Creating empty /usr/ports/java/junit/work/junit-team-junit-c62e2df/target/main/org/junit/matchers/package-info.class
    [javac] Creating empty /usr/ports/java/junit/work/junit-team-junit-c62e2df/target/main/junit/extensions/package-info.class
    [javac] Creating empty /usr/ports/java/junit/work/junit-team-junit-c62e2df/target/main/org/junit/package-info.class
    [javac] Creating empty /usr/ports/java/junit/work/junit-team-junit-c62e2df/target/main/org/junit/runner/notification/package-info.class
    [javac] Creating empty /usr/ports/java/junit/work/junit-team-junit-c62e2df/target/main/junit/runner/package-info.class
    [javac] Creating empty /usr/ports/java/junit/work/junit-team-junit-c62e2df/target/main/org/junit/runner/manipulation/package-info.class
    [javac] Creating empty /usr/ports/java/junit/work/junit-team-junit-c62e2df/target/main/junit/textui/package-info.class
    [javac] Creating empty /usr/ports/java/junit/work/junit-team-junit-c62e2df/target/main/org/junit/internal/requests/package-info.class
    [unjar] Expanding: /usr/ports/java/junit/work/junit-team-junit-c62e2df/lib/hamcrest-core-1.3.jar into /usr/ports/java/junit/work/junit-team-junit-c62e2df/target/main
    [mkdir] Created dir: /usr/ports/java/junit/work/junit-team-junit-c62e2df/target/test/java
    [javac] Compiling 163 source files to /usr/ports/java/junit/work/junit-team-junit-c62e2df/target/test/java
    [javac] warning: [options] bootstrap class path not set in conjunction with -source 1.5
    [javac] Note: Some input files use or override a deprecated API.
    [javac] Note: Recompile with -Xlint:deprecation for details.
    [javac] 1 warning
    [javac] Creating empty /usr/ports/java/junit/work/junit-team-junit-c62e2df/target/test/java/junit/tests/runner/package-info.class
    [javac] Creating empty /usr/ports/java/junit/work/junit-team-junit-c62e2df/target/test/java/junit/tests/package-info.class
    [javac] Creating empty /usr/ports/java/junit/work/junit-team-junit-c62e2df/target/test/java/org/junit/tests/package-info.class
    [javac] Creating empty /usr/ports/java/junit/work/junit-team-junit-c62e2df/target/test/java/junit/tests/framework/package-info.class
    [javac] Creating empty /usr/ports/java/junit/work/junit-team-junit-c62e2df/target/test/java/org/junit/samples/package-info.class
    [javac] Creating empty /usr/ports/java/junit/work/junit-team-junit-c62e2df/target/test/java/junit/tests/extensions/package-info.class
    [javac] Creating empty /usr/ports/java/junit/work/junit-team-junit-c62e2df/target/test/java/org/junit/samples/money/package-info.class
    [javac] Creating empty /usr/ports/java/junit/work/junit-team-junit-c62e2df/target/test/java/junit/samples/package-info.class
    [javac] Creating empty /usr/ports/java/junit/work/junit-team-junit-c62e2df/target/test/java/junit/samples/money/package-info.class

jars:
    [mkdir] Created dir: /usr/ports/java/junit/work/junit-team-junit-c62e2df/junit4.11-SNAPSHOT
      [jar] Building jar: /usr/ports/java/junit/work/junit-team-junit-c62e2df/junit4.11-SNAPSHOT/junit-4.11-SNAPSHOT-src.jar
      [jar] Building jar: /usr/ports/java/junit/work/junit-team-junit-c62e2df/junit4.11-SNAPSHOT/junit-4.11-SNAPSHOT.jar
      [jar] Building jar: /usr/ports/java/junit/work/junit-team-junit-c62e2df/junit4.11-SNAPSHOT/junit-dep-4.11-SNAPSHOT.jar

samples-and-tests:
     [copy] Copying 872 files to /usr/ports/java/junit/work/junit-team-junit-c62e2df/junit4.11-SNAPSHOT

unjar.hamcrest:
    [unjar] Expanding: /usr/ports/java/junit/work/junit-team-junit-c62e2df/lib/hamcrest-core-1.3-sources.jar into /usr/ports/java/junit/work/junit-team-junit-c62e2df/junit4.11-SNAPSHOT/temp.hamcrest.source

javadoc:
  [javadoc] Generating Javadoc
  [javadoc] Javadoc execution
  [javadoc] Creating destination directory: "/usr/ports/java/junit/work/junit-team-junit-c62e2df/junit4.11-SNAPSHOT/javadoc/"
  [javadoc] Loading source files for package org.junit...
  [javadoc] Loading source files for package org.junit.experimental...
  [javadoc] Loading source files for package org.junit.experimental.categories...
  [javadoc] Loading source files for package org.junit.experimental.max...
  [javadoc] Loading source files for package org.junit.experimental.results...
  [javadoc] Loading source files for package org.junit.experimental.runners...
  [javadoc] Loading source files for package org.junit.experimental.theories...
  [javadoc] Loading source files for package org.junit.experimental.theories.suppliers...
  [javadoc] Loading source files for package org.junit.matchers...
  [javadoc] Loading source files for package org.junit.rules...
  [javadoc] Loading source files for package org.junit.runner...
  [javadoc] Loading source files for package org.junit.runner.manipulation...
  [javadoc] Loading source files for package org.junit.runner.notification...
  [javadoc] Loading source files for package org.junit.runners...
  [javadoc] Loading source files for package org.junit.runners.model...
  [javadoc] Loading source files for package org.hamcrest...
  [javadoc] Loading source files for package org.hamcrest.core...
  [javadoc] Loading source files for package org.hamcrest.internal...
  [javadoc] Constructing Javadoc information...
  [javadoc] Standard Doclet version 1.7.0_80
  [javadoc] Building tree for all the packages and classes...
  [javadoc] Generating /usr/ports/java/junit/work/junit-team-junit-c62e2df/junit4.11-SNAPSHOT/javadoc/serialized-form.html...
  [javadoc] Copying file /usr/ports/java/junit/work/junit-team-junit-c62e2df/stylesheet.css to file /usr/ports/java/junit/work/junit-team-junit-c62e2df/junit4.11-SNAPSHOT/javadoc/stylesheet.css...
  [javadoc] Building index for all the packages and classes...
  [javadoc] Building index for all classes...

release-notes:

populate-dist:
     [copy] Copying 51 files to /usr/ports/java/junit/work/junit-team-junit-c62e2df/junit4.11-SNAPSHOT/doc
     [copy] Copying 1 file to /usr/ports/java/junit/work/junit-team-junit-c62e2df/junit4.11-SNAPSHOT
     [copy] Copying 1 file to /usr/ports/java/junit/work/junit-team-junit-c62e2df/junit4.11-SNAPSHOT
     [copy] Copying 1 file to /usr/ports/java/junit/work/junit-team-junit-c62e2df/junit4.11-SNAPSHOT
     [copy] Copying 1 file to /usr/ports/java/junit/work/junit-team-junit-c62e2df/junit4.11-SNAPSHOT

dist:
     [java] JUnit version 4.11-SNAPSHOT
     [java] ..................................................................................................................................................................................................................................................................................................................................I.I..........................................E...........................................................................................................................................I....................................................................................................................
     [java] Time: 4.211
     [java] There was 1 failure:
     [java] 1) inaccessibleBaseClassIsCaughtAtValidation(org.junit.tests.validation.InaccessibleBaseClassTest)
     [java] java.lang.AssertionError: Expected exception: org.junit.runners.model.InitializationError
     [java] 	at org.junit.internal.runners.statements.ExpectException.evaluate(ExpectException.java:32)
     [java] 	at org.junit.runners.ParentRunner.runLeaf(ParentRunner.java:271)
     [java] 	at org.junit.runners.BlockJUnit4ClassRunner.runChild(BlockJUnit4ClassRunner.java:70)
     [java] 	at org.junit.runners.BlockJUnit4ClassRunner.runChild(BlockJUnit4ClassRunner.java:50)
     [java] 	at org.junit.runners.ParentRunner$3.run(ParentRunner.java:238)
     [java] 	at org.junit.runners.ParentRunner$1.schedule(ParentRunner.java:63)
     [java] 	at org.junit.runners.ParentRunner.runChildren(ParentRunner.java:236)
     [java] 	at org.junit.runners.ParentRunner.access$000(ParentRunner.java:53)
     [java] 	at org.junit.runners.ParentRunner$2.evaluate(ParentRunner.java:229)
     [java] 	at org.junit.runners.ParentRunner.run(ParentRunner.java:309)
     [java] 	at org.junit.runners.Suite.runChild(Suite.java:127)
     [java] 	at org.junit.runners.Suite.runChild(Suite.java:26)
     [java] 	at org.junit.runners.ParentRunner$3.run(ParentRunner.java:238)
     [java] 	at org.junit.runners.ParentRunner$1.schedule(ParentRunner.java:63)
     [java] 	at org.junit.runners.ParentRunner.runChildren(ParentRunner.java:236)
     [java] 	at org.junit.runners.ParentRunner.access$000(ParentRunner.java:53)
     [java] 	at org.junit.runners.ParentRunner$2.evaluate(ParentRunner.java:229)
     [java] 	at org.junit.runners.ParentRunner.run(ParentRunner.java:309)
     [java] 	at org.junit.runners.Suite.runChild(Suite.java:127)
     [java] 	at org.junit.runners.Suite.runChild(Suite.java:26)
     [java] 	at org.junit.runners.ParentRunner$3.run(ParentRunner.java:238)
     [java] 	at org.junit.runners.ParentRunner$1.schedule(ParentRunner.java:63)
     [java] 	at org.junit.runners.ParentRunner.runChildren(ParentRunner.java:236)
     [java] 	at org.junit.runners.ParentRunner.access$000(ParentRunner.java:53)
     [java] 	at org.junit.runners.ParentRunner$2.evaluate(ParentRunner.java:229)
     [java] 	at org.junit.runners.ParentRunner.run(ParentRunner.java:309)
     [java] 	at org.junit.runner.JUnitCore.run(JUnitCore.java:160)
     [java] 	at org.junit.runner.JUnitCore.run(JUnitCore.java:138)
     [java] 	at org.junit.runner.JUnitCore.run(JUnitCore.java:117)
     [java] 	at org.junit.runner.JUnitCore.runMain(JUnitCore.java:96)
     [java] 	at org.junit.runner.JUnitCore.runMainAndExit(JUnitCore.java:47)
     [java] 	at org.junit.runner.JUnitCore.main(JUnitCore.java:40)
     [java] 
     [java] FAILURES!!!
     [java] Tests run: 620,  Failures: 1
     [java] 

BUILD FAILED
/usr/ports/java/junit/work/junit-team-junit-c62e2df/build.xml:211: The following error occurred while executing this line:
/usr/ports/java/junit/work/junit-team-junit-c62e2df/build.xml:181: Java returned: 1

Total time: 37 seconds
*** Error code 1

Stop.
make[2]: stopped in /usr/ports/java/junit
*** Error code 1

Stop.
make[1]: stopped in /usr/ports/editors/libreoffice
*** Error code 1

Stop.
make: stopped in /usr/ports/editors/libreoffice
root@dukefleed:/usr/ports/editors/libreoffice #
Comment 1 Kurt Jaeger freebsd_committer 2015-05-02 18:10:14 UTC
Created attachment 156240 [details]
patch to add hamcrest to JAVA_CONFIGURE_ON
Comment 2 Kurt Jaeger freebsd_committer 2015-05-02 18:11:27 UTC
For more details see PR192575. The patch was suggested by danilo, test-build and test-run works fine 8-}
Comment 3 commit-hook freebsd_committer 2015-05-03 06:37:30 UTC
A commit references this bug:

Author: pi
Date: Sun May  3 06:37:11 UTC 2015
New revision: 385231
URL: https://svnweb.freebsd.org/changeset/ports/385231

Log:
  editors/libreoffice: fix build, if JAVA is selected

  ... which needs junit, which was updated because it no longer built,
  which caused a new dependency on hamcrest.

  PR:		199819
  Submitted by:	danilo
  Approved by:	just fix it approval

Changes:
  head/editors/libreoffice/Makefile
Comment 4 Kurt Jaeger freebsd_committer 2015-05-03 07:05:57 UTC
Committed as suggested by makc.